package com.ruoyi.bst.realName.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.realName.domain.RealName;
import com.ruoyi.bst.realName.domain.RealNameQuery;
import com.ruoyi.bst.realName.domain.RealNameVO;

/**
 * 实名认证信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-29
 */
public interface RealNameMapper
{
    /**
     * 查询实名认证信息
     *
     * @param id 实名认证信息主键
     * @return 实名认证信息
     */
    RealNameVO selectRealNameById(Long id);

    /**
     * 查询实名认证信息列表
     *
     * @param query 实名认证信息
     * @return 实名认证信息集合
     */
    List<RealNameVO> selectRealNameList(@Param("query")RealNameQuery query);

    /**
     * 新增实名认证信息
     *
     * @param realName 实名认证信息
     * @return 结果
     */
    int insertRealName(RealName realName);

    /**
     * 批量新增实名认证信息
     */
    int batchInsert(@Param("list") List<? extends RealName> list);

    /**
     * 批量修改实名认证信息
     */
    int batchUpdate(@Param("list") List<? extends RealName> list);

    /**
     * 修改实名认证信息
     *
     * @param realName 实名认证信息
     * @return 结果
     */
    public int updateRealName(@Param("data") RealName realName);

    /**
     * 删除实名认证信息
     *
     * @param id 实名认证信息主键
     * @return 结果
     */
    int deleteRealNameById(Long id);

    /**
     * 批量删除实名认证信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRealNameByIds(@Param("ids") List<Long> ids);
}
